summaryrefslogtreecommitdiffstats
path: root/scripts/runqemu-internal
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2012-07-10 10:07:49 -0700
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-07-17 10:53:56 +0100
commit9e5bce826abe2e50dd7395c2b26d84fe0edaf45c (patch)
treef3373821e5c8c3923a8125fa193f98d65a906106 /scripts/runqemu-internal
parente21c59e020bd16d8f3395dd9a9c7d1431c495771 (diff)
downloadast2050-yocto-poky-9e5bce826abe2e50dd7395c2b26d84fe0edaf45c.zip
ast2050-yocto-poky-9e5bce826abe2e50dd7395c2b26d84fe0edaf45c.tar.gz
runqemu: Fix running qemu when build without gl
When gl is disabled in PACKAGECONFIG then we dont need to check for supporting libs to be present before running qemu. (From OE-Core rev: 6612873dc59054e6d37fa7488226218bfb759127) Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts/runqemu-internal')
-rwxr-xr-xscripts/runqemu-internal17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index a21ea93..eeadb24 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -468,6 +468,23 @@ if [ ! -x "$QEMUBIN" ]; then
return
fi
+NEED_GL=`ldd $QEMUBIN/$QEMU 2>&1 | grep libGLU`
+# We can't run without a libGL.so
+if [ "$NEED_GL" != "" ]; then
+ libgl='no'
+
+ [ -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so ] && libgl='yes'
+ [ -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so ] && libgl='yes'
+ [ -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so ] && libgl='yes'
+
+ if [ "$libgl" != 'yes' ]; then
+ echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
+ Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
+ Fedora package names are: mesa-libGL-devel mesa-libGLU-devel."
+ exit 1;
+ fi
+fi
+
do_quit() {
if [ -n "$PIDFILE" ]; then
#echo kill `cat $PIDFILE`
OpenPOWER on IntegriCloud